<?php
session_start();



   include_once("../scripts/connect.php");

   $conexion=conecta_default();

   

   include_once("../scripts/session.php");

   //Validar Session



    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/



    if(!$sesion->isValida("1")){ /*Sesion invalida*/



	 header("Location: ../index.php?err=NoSesion");



    }/*no hay sesion*/



    else{



       $dato=explode("|",$_SESSION['usuario']);

       $sesion->setDatos($dato[0],$dato[1],$dato[2]);

       $sesion->setSesion();



    }

    //fin validar session

   $qcc1 = "SELECT id_inver FROM inversionista WHERE rfc = \"$rfc\" ";

           $ccc1 = mysqli_query($conexion, $qcc1) or die ('No se pudo hacer la consulta cc1' . mysqli_error($conexion));

           $rrc = mysqli_fetch_row($ccc1);

  

           $id_inv=$rrc[0];

	   

	echo"<script language=\"JavaScript\" src=\"popcalendar.js\"></script>

	<br><center><label style='color:#5C3C12; font-size:28px; font-weight:bold'>Ver compras por fecha</label><br><br>Seleccione una fecha incial y una fecha final <br>haciendo click en los caledarios que se encuentran a la deracha<br><br></center>

	<form name=\"Agrega\" action=\"comprasdia_admin.php\" method=\"post\">

	<div align=\"center\">

	<table width=\"357\" height=\"120\" border=\"1\">

		<tr>

	<td>

	Fecha Inicial:<td/>

	<td><input type=\"text\" name=\"fecha_i\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_i,'yyyy-mm-dd');return false;\"></td>";

	 echo"

							</tr>

							<tr>

	<td>

	Fecha Final:<td/>

	<td><input type=\"text\" name=\"fecha_f\" value=\"\">&nbsp;<input type=\"image\" src=\"ew_calendar.gif\" onClick=\"popUpCalendar(this, this.form.fecha_f,'yyyy-mm-dd');return false;\"></td>";

	 echo"

							</tr>

	

	

	  <tr><td>

	</td>

	<td></td><td>

	<br><input type=\"submit\" name=\"generar\" id=\"aceptar\" value=\"Generar Compras\" />

	</td></tr>

      </table>

  </div></form>";

  

  $fecha1 =$_POST['fecha_i'];

  $fecha2 =$_POST['fecha_f'];

  



  if($generar="Generar Compras"){

  $q2 = "SELECT rfc, inversionista.nombre, appat, apmat, observaciones, fechat, idtransacciones ,usuarios_ci_idusuarios_ci FROM inversionista, transacciones, usuarios_ci WHERE inversionista.id_inver=transacciones.inversionista_id_inver and usuarios_ci.idusuarios_ci=transacciones.usuarios_ci_idusuarios_ci and tipostr_idtipostr!='11' and fechat between \"$fecha1\" and \"$fecha2\" ";

  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));

  echo"<center><table border=\"1\"> <tr>

			<th>Pedido</th><th>RFC.</th><th>Nombre</th><th>Cantidad</th><th>Fecha</th><th>Centro</th>

			</tr>";

  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	   $a2 = $r1[2];

	   $a3 = $r1[3];

	   $a4 = $r1[4];

	  $a5 = $r1[5];

	  $a6 = $r1[6];

	  $a7 = $r1[7];

	  

	   $tot+=$a4;

	   

	  

echo"<tr><td>$a6</td><td>$a0</td><td>$a1 $a2 $a3</td><td>$a4</td><td>$a5</td><td>$a7</td></tr>";

	}

	echo"</table>Las compras totales realizadas entre $fecha1 y $fecha2 son <b>$tot</b><br><br>";

	

	

	$q12 = "select nombre, sum(observaciones) from transacciones join usuarios_ci on (idusuarios_ci=usuarios_ci_idusuarios_ci)where tipostr_idtipostr!='11' and fechat between \"$fecha1\" and \"$fecha2\" group by usuarios_ci_idusuarios_ci ";

  $c12 = mysqli_query($conexion, $q12) or die ('Error en la consulta' . mysqli_error($conexion));

	

	echo"<center><table border=\"1\"> <tr>

			<th>Centro</th><th>Total</th>

			</tr>";

  for($i=0;$r1 = mysqli_fetch_row($c12);$i++)

   {

	   $a0 = $r1[0];

	   $a1 = $r1[1];

	 

	  

	   $totis+=$a1;

	   

	  

echo"<tr><td>$a0</td><td>$a1</td></tr>";

	}

	echo"</table>Las compras totales realizadas entre $fecha1 y $fecha2 son  <b>$totis</b><br><br>";

	

	

  }

  

  

?>